--
-- Структура таблицы `blog`
--

CREATE TABLE IF NOT EXISTS `blog` (
  `blog_id` int(11) NOT NULL auto_increment,
  `user` text,
  `blog_title` text,
  `blog_content` text,
  PRIMARY KEY  (`blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `blog_files`
--

CREATE TABLE IF NOT EXISTS `blog_files` (
  `id` int(11) NOT NULL auto_increment,
  `id_blog` int(11) NOT NULL,
  `name` varchar(64) default NULL,
  `ras` varchar(32) NOT NULL,
  `size` int(11) NOT NULL,
  `type` varchar(32) NOT NULL,
  `count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id_post` (`id_blog`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `blog_img`
--

CREATE TABLE IF NOT EXISTS `blog_img` (
  `id` int(11) NOT NULL auto_increment,
  `id_blog` int(11) NOT NULL,
  `name` varchar(64) default NULL,
  `ras` varchar(32) NOT NULL,
  `size` int(11) NOT NULL,
  `type` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_post` (`id_blog`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `blog_komm`
--

CREATE TABLE IF NOT EXISTS `blog_komm` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_blog` varchar(50) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `blog_list`
--

CREATE TABLE IF NOT EXISTS `blog_list` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `msg` varchar(5000) NOT NULL,
  `time` int(11) NOT NULL,
  `privat` int(11) NOT NULL,
  `count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------



--
-- Структура таблицы `community_board`
--

CREATE TABLE IF NOT EXISTS `community_board` (
  `id` int(11) NOT NULL auto_increment,
  `id_comm` int(11) NOT NULL,
  `user` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL,
  `msg` varchar(512) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `community_comm`
--

CREATE TABLE IF NOT EXISTS `community_comm` (
  `id` int(11) NOT NULL auto_increment,
  `id_author` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `about` varchar(256) NOT NULL,
  `time_create` int(11) NOT NULL,
  `time_last_edit` int(11) NOT NULL,
  `slogan` varchar(100) NOT NULL,
  `rules` text,
  `status` set('1','2') default NULL,
  `id_razd` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `community_razd`
--

CREATE TABLE IF NOT EXISTS `community_razd` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `opis` varchar(256) NOT NULL,
  `sort` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `community_user_incomm`
--

CREATE TABLE IF NOT EXISTS `community_user_incomm` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `priv` int(11) NOT NULL,
  `postov` int(111) default '0',
  `them` int(111) default '0',
  `files` int(111) default '0',
  `activate` int(1) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_ban`
--

CREATE TABLE IF NOT EXISTS `comm_ban` (
  `id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_ban` int(11) NOT NULL,
  `prich` varchar(1024) NOT NULL,
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_user` (`id_user`,`id_ban`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_f`
--

CREATE TABLE IF NOT EXISTS `comm_forum_f` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `opis` varchar(512) NOT NULL,
  `adm` set('0','1') NOT NULL default '0',
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_files`
--

CREATE TABLE IF NOT EXISTS `comm_forum_files` (
  `id` int(11) NOT NULL auto_increment,
  `id_post` int(11) NOT NULL,
  `name` varchar(64) default NULL,
  `ras` varchar(32) NOT NULL,
  `size` int(11) NOT NULL,
  `type` varchar(32) NOT NULL,
  `count` int(11) NOT NULL default '0',
  `rating` int(11) NOT NULL default '0',
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_post` (`id_post`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_files_rating`
--

CREATE TABLE IF NOT EXISTS `comm_forum_files_rating` (
  `id_file` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `rating` int(11) default '0',
  `id_comm` int(11) NOT NULL,
  KEY `id_file` (`id_file`),
  KEY `id_user` (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_p`
--

CREATE TABLE IF NOT EXISTS `comm_forum_p` (
  `id` int(11) NOT NULL auto_increment,
  `id_forum` int(11) NOT NULL,
  `id_razdel` int(11) NOT NULL,
  `id_them` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(10240) NOT NULL,
  `cit` int(11) default NULL,
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_forum` (`id_forum`,`id_razdel`,`id_them`),
  KEY `id_user` (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_r`
--

CREATE TABLE IF NOT EXISTS `comm_forum_r` (
  `id` int(11) NOT NULL auto_increment,
  `id_forum` int(11) NOT NULL,
  `name` varchar(32) NOT NULL,
  `time` int(11) NOT NULL,
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_forum` (`id_forum`,`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_t`
--

CREATE TABLE IF NOT EXISTS `comm_forum_t` (
  `id` int(11) NOT NULL auto_increment,
  `id_forum` int(11) NOT NULL,
  `id_razdel` int(11) default NULL,
  `name` varchar(32) NOT NULL,
  `id_user` int(11) default NULL,
  `time_create` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `up` set('0','1') NOT NULL default '0',
  `close` set('0','1') NOT NULL default '0',
  `id_comm` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_forum` (`id_forum`,`id_razdel`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_forum_zakl`
--

CREATE TABLE IF NOT EXISTS `comm_forum_zakl` (
  `id_user` int(11) NOT NULL,
  `id_them` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `time_obn` int(11) NOT NULL,
  `id_comm` int(11) NOT NULL,
  KEY `id_user` (`id_user`,`id_them`,`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_obmen_dir`
--

CREATE TABLE IF NOT EXISTS `comm_obmen_dir` (
  `id` int(11) NOT NULL auto_increment,
  `id_comm` int(11) NOT NULL,
  `num` int(11) default '0',
  `name` varchar(64) NOT NULL,
  `ras` varchar(128) NOT NULL,
  `maxfilesize` int(11) NOT NULL,
  `dir` varchar(512) NOT NULL default '/',
  `dir_osn` varchar(512) default '/',
  `upload` set('1','0') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `num` (`num`),
  KEY `dir` (`dir`(333))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_obmen_files`
--

CREATE TABLE IF NOT EXISTS `comm_obmen_files` (
  `id` int(11) NOT NULL auto_increment,
  `id_comm` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_dir` int(11) NOT NULL,
  `name` varchar(128) NOT NULL,
  `ras` varchar(36) NOT NULL,
  `type` varchar(64) NOT NULL,
  `time` int(11) NOT NULL,
  `time_last` int(11) NOT NULL,
  `size` int(11) NOT NULL,
  `k_loads` int(11) default '0',
  `opis` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_obmen_komm`
--

CREATE TABLE IF NOT EXISTS `comm_obmen_komm` (
  `id` int(11) NOT NULL auto_increment,
  `id_comm` int(11) NOT NULL,
  `id_file` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_file` (`id_file`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comm_wall`
--

CREATE TABLE IF NOT EXISTS `comm_wall` (
  `id` int(6) NOT NULL auto_increment,
  `id_comm` int(11) NOT NULL,
  `who` int(6) NOT NULL,
  `time` int(11) NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `gismeteo_country`
--

CREATE TABLE IF NOT EXISTS `gismeteo_country` (
  `id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL auto_increment,
  `nick` varchar(32) NOT NULL,
  `pass` varchar(32) NOT NULL,
  `sess` varchar(32) default NULL,
  `activation` varchar(32) default NULL,
  `ban` int(11) NOT NULL default '0',
  `ban_pr` varchar(64) default NULL,
  `ip` bigint(20) NOT NULL default '0',
  `ip_cl` bigint(20) NOT NULL default '0',
  `ip_xff` bigint(20) NOT NULL default '0',
  `iq` int(11) NOT NULL,
  `ua` varchar(32) default NULL,
  `date_reg` int(11) NOT NULL default '0',
  `date_aut` int(11) NOT NULL default '0',
  `date_last` int(11) NOT NULL default '0',
  `balls` int(11) NOT NULL default '0',
  `rating` int(11) NOT NULL default '0',
  `level` enum('0','1','2','3','4') NOT NULL default '0',
  `group_access` int(10) unsigned NOT NULL default '0',
  `pol` enum('0','1') NOT NULL default '1',
  `url` varchar(64) NOT NULL default '/', 
  `show_url` enum('0','1') NOT NULL default '0',
  `ank_g_r` int(4) default NULL,
  `ank_m_r` int(2) default NULL,
  `ank_d_r` int(2) default NULL,
  `ank_city` varchar(32) default NULL,
  `ank_o_sebe` varchar(512) default NULL,
  `ank_icq` int(12) default NULL,
  `ank_mail` varchar(32) default NULL,
  `ank_n_tel` varchar(11) default NULL,
  `ank_name` varchar(32) default NULL,
  `set_time_chat` int(11) default '30',
  `set_p_str` int(11) default '7',
  `set_show_icon` enum('0','1','2') default '1',
  `set_translit` enum('0','1') NOT NULL default '1',
  `set_files` enum('0','1') NOT NULL default '0',
  `set_timesdvig` int(11) NOT NULL default '0',
  `set_news_to_mail` enum('0','1') NOT NULL default '0',
  `set_show_mail` enum('0','1') NOT NULL default '0',
  `set_them` varchar(32) default 'default',
  `set_them2` varchar(32) default 'web',
  `meteo_country` int(11) NOT NULL default '0',
  `autorization` enum('0','1') NOT NULL default '0',
  `add_konts` int(11) NOT NULL default '1',
  `ncolor` varchar(10) NOT NULL,
  `gorod_life` smallint(6) NOT NULL,
  `gorod_eda_time` bigint(20) NOT NULL,
  `gorod_money` bigint(20) NOT NULL,
  `gorod_ohota_time` bigint(20) NOT NULL,
  `gorod_brak` varchar(32) NOT NULL,
  `gorod_tamag` varchar(32) NOT NULL,
  `gorod_tamag_life` smallint(6) NOT NULL,
  `gorod_tamag_time` bigint(20) NOT NULL,
  `gorod_voodoo` int(11) NOT NULL,
  `gorod_voodoo_name` varchar(32) NOT NULL,
  `gorod_kopi` bigint(20) NOT NULL,
  `gorod_kriminal` int(11) NOT NULL,
  `gorod_kriminal_time` bigint(20) NOT NULL,
  `gorod_security` varchar(32) NOT NULL,
  `gorod_security_uron` int(11) NOT NULL,
  `gorod_para` varchar(50) NOT NULL,
  `gorod_tur` varchar(50) NOT NULL,
  `gorod_firm` varchar(50) NOT NULL,
  `gorod_band` varchar(50) NOT NULL,
  `gorod_band_time` bigint(20) NOT NULL,
  `time` int(11) NOT NULL,
  `perehodu` int(11) NOT NULL,
  `interesy` varchar(512) NOT NULL COMMENT 'Интересы',
  `privet` varchar(512) default NULL,
  `familiya` varchar(512) NOT NULL COMMENT 'Фамилия',
  `mesto_raboty` varchar(512) NOT NULL COMMENT 'Место работы',
  `ucheba` text,
  `filmy` text,
  `music` text,
  `msg_on_wall` int(6) NOT NULL default '0',
  `site` varchar(64) NOT NULL default 'playm.ru',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nick` (`nick`),
  KEY `url` (`url`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

ALTER TABLE `user` ADD `status` set('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16') default '0';

-- --------------------------------------------------------

--
-- Структура таблицы `viktorina`
--

CREATE TABLE IF NOT EXISTS `viktorina` (
  `num` int(10) NOT NULL auto_increment,
  `vopros` text,
  `otvet` int(1) default NULL,
  `otvet1` varchar(200) default NULL,
  `otvet2` varchar(200) default NULL,
  `otvet3` varchar(200) default NULL,
  `otvet4` varchar(200) default NULL,
  PRIMARY KEY  (`num`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=3672 ;

-- --------------------------------------------------------

--
-- Структура таблицы `viktorina_users`
--

CREATE TABLE IF NOT EXISTS `viktorina_users` (
  `num` int(10) NOT NULL auto_increment,
  `user` varchar(200) default NULL,
  `email` varchar(200) default NULL,
  `ip` varchar(40) default NULL,
  `ball` int(10) default NULL,
  `date_a` int(20) default NULL,
  `date_b` int(20) default NULL,
  `vopros` int(6) default NULL,
  `v1` int(1) default NULL,
  `v2` int(1) default NULL,
  `v3` int(1) default NULL,
  `v4` int(1) default NULL,
  `v5` int(1) default NULL,
  `v6` int(1) default NULL,
  `v7` int(1) default NULL,
  `v8` int(1) default NULL,
  `v9` int(1) default NULL,
  `v10` int(1) default NULL,
  `v11` int(1) default NULL,
  `v12` int(1) default NULL,
  `v13` int(1) default NULL,
  `v14` int(1) default NULL,
  `v15` int(1) default NULL,
  `o1` int(1) default NULL,
  `o2` int(1) default NULL,
  `o3` int(1) default NULL,
  `o4` int(1) default NULL,
  `o5` int(1) default NULL,
  `o6` int(1) default NULL,
  `o7` int(1) default NULL,
  `o8` int(1) default NULL,
  `o9` int(1) default NULL,
  `o10` int(1) default NULL,
  `o11` int(1) default NULL,
  `o12` int(1) default NULL,
  `o13` int(1) default NULL,
  `o14` int(1) default NULL,
  `o15` int(1) default NULL,
  `y1` int(1) default NULL,
  `y2` int(1) default NULL,
  `y3` int(1) default NULL,
  `y4` int(1) default NULL,
  `y5` int(1) default NULL,
  `y6` int(1) default NULL,
  `y7` int(1) default NULL,
  `y8` int(1) default NULL,
  `y9` int(1) default NULL,
  `y10` int(1) default NULL,
  `y11` int(1) default NULL,
  `y12` int(1) default NULL,
  `y13` int(1) default NULL,
  `y14` int(1) default NULL,
  `y15` int(1) default NULL,
  `yes` int(4) default NULL,
  `no` int(4) default NULL,
  `session` varchar(34) NOT NULL default '',
  PRIMARY KEY  (`num`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `wall`
--

CREATE TABLE IF NOT EXISTS `wall` (
  `id` int(6) NOT NULL auto_increment,
  `user_id` int(6) NOT NULL,
  `who` int(6) NOT NULL,
  `time` int(11) NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;